Bug 5056 - Complete an otherwise useless message
Complete an otherwise useless message
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: File services
3.2.0
All All
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
http://bugs.debian.org/448546
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 02:28 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2007-11-26 07:36 UTC (History)
0 users

See Also:


Attachments
Patch for source/passdb/pdb_ldap.c (417 bytes, patch)
2007-11-01 02:29 UTC, Debian samba package maintainers (PUBLIC MAILING LIST)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2007-11-01 02:28:48 UTC
From our user:

Hi,

I used to encounter many messages like these:

[2007/10/29 23:34:47, 4] passdb/pdb_ldap.c:ldapsam_getgroup(2217)
  ldapsam_getgroup: Did not find group
[2007/10/29 23:34:47, 4] passdb/pdb_ldap.c:ldapsam_getgroup(2217)
  ldapsam_getgroup: Did not find group

After patching passdb/pdb_ldap.c, I get more meaningful messages:

[2007/10/29 23:37:11, 4] passdb/pdb_ldap.c:ldapsam_getgroup(2218)
  ldapsam_getgroup: Did not find group, filter was
+(&(objectClass=sambaGroupMapping)(sambaSID=S-1-5-32-545))
[2007/10/29 23:37:11, 4] passdb/pdb_ldap.c:ldapsam_getgroup(2218)
  ldapsam_getgroup: Did not find group, filter was (&(objectClass=sambaGroupMapping)(sambaSID=S-1-1-0))
Comment 1 Debian samba package maintainers (PUBLIC MAILING LIST) 2007-11-01 02:29:43 UTC
Created attachment 2959 [details]
Patch for source/passdb/pdb_ldap.c
Comment 2 Debian samba package maintainers (PUBLIC MAILING LIST) 2007-11-01 08:15:26 UTC
I should have mentioned initially that "our user" is Josip Rodin who indeed proposed the initial patch
Comment 3 Volker Lendecke 2007-11-26 07:36:13 UTC
Pushed in with 5b4ba4bfc, thanks.

Volker